Skip to main content
POST
/
analytics
/
datalake
Aggregate datalake models (activities, communications, meetings, tasks, documents, support_tickets, billing_records). Supports count/sum/avg, group_by model fields, and time bucketing.
curl --request POST \
  --url https://api.supersonic.cv/analytics/datalake \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "activities",
  "metrics": [
    {
      "field": "<string>",
      "agg": "count"
    }
  ],
  "filters": {},
  "group_by": "<string>",
  "record_id": "<string>",
  "time_field": "<string>",
  "time_range": {
    "from": "<string>",
    "to": "<string>"
  },
  "time_bucket": "day"
}
'
{}

Authorizations

Authorization
string
header
required

API key: supersonic_live_...

Body

application/json
model
enum<string>
required

Datalake model to aggregate

Available options:
activities,
communications,
meetings,
tasks,
documents,
support_tickets,
billing_records
metrics
object[]
filters
object
group_by
string
record_id
string

Filter by linked record UUID

time_field
string
time_range
object
time_bucket
enum<string>
Available options:
day,
week,
month,
quarter,
year

Response

Success

The response is of type object.